### Method

# Gcr Prompt set_caller_window

#### Declaration [src]

    void
    gcr_prompt_set_caller_window (
      GcrPrompt* prompt,
      const gchar* window_id
    )

#### Description [src]

Set the string handle of the caller’s window.

The caller window indicates to the prompt which window is prompting the user. The prompt may choose to ignore this information or use it in whatever way it sees fit.

Sets property | `Gcr.Prompt:caller-window`

#### Parameters

`window_id`

  Type: `const gchar*`

  The window id.

  The data is owned by the caller of the method.
  The value is a NUL terminated UTF-8 string.